Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1237363 - [ppc64le] kernel build failure: gettimeofday.S:42: Error: junk at end of line: `@local'
Summary: [ppc64le] kernel build failure: gettimeofday.S:42: Error: junk at end of line...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: gcc
Version: 7.2
Hardware: ppc64le
OS: Linux
unspecified
high
Target Milestone: rc
: ---
Assignee: Jakub Jelinek
QA Contact: Miroslav Franc
URL:
Whiteboard:
Depends On: 1205236
Blocks: F-ExcludeArch-ppc64le, PPC64LETracker F22PPCBeta F22PPCFinal
TreeView+ depends on / blocked
 
Reported: 2015-06-30 23:44 UTC by Martin Sebor
Modified: 2016-02-01 02:30 UTC (History)
19 users (show)

Fixed In Version: gcc-4.8.5-2.el7
Doc Type: Bug Fix
Doc Text:
No description necessary
Clone Of: 1205236
Environment:
Last Closed: 2015-11-19 12:22:51 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
IBM Linux Technology Center 122924 None None None Never
Red Hat Product Errata RHBA-2015:2080 normal SHIPPED_LIVE gcc bug fix and enhancement update 2015-11-19 10:51:58 UTC

Description Martin Sebor 2015-06-30 23:44:05 UTC
+++ This bug was initially created as a clone of Bug #1205236 +++

With an update to 4.8.5-1.el7 the RHEL 7.2 kernel build fails on ppc64le with the following errors:

arch/powerpc/kernel/vdso32/gettimeofday.S: Assembler messages:
arch/powerpc/kernel/vdso32/gettimeofday.S:42: Error: syntax error; found `@', expected `,'
arch/powerpc/kernel/vdso32/gettimeofday.S:42: Error: junk at end of line: `@local'
arch/powerpc/kernel/vdso32/gettimeofday.S:48: Error: syntax error; found `@', expected `,'
arch/powerpc/kernel/vdso32/gettimeofday.S:48: Error: junk at end of line: `@local'
arch/powerpc/kernel/vdso32/gettimeofday.S:83: Error: syntax error; found `@', expected `,'
arch/powerpc/kernel/vdso32/gettimeofday.S:83: Error: junk at end of line: `@local'
arch/powerpc/kernel/vdso32/gettimeofday.S:87: Error: syntax error; found `@', expected `,'
arch/powerpc/kernel/vdso32/gettimeofday.S:87: Error: junk at end of line: `@local'
arch/powerpc/kernel/vdso32/gettimeofday.S:195: Error: syntax error; found `@', expected `,'
arch/powerpc/kernel/vdso32/gettimeofday.S:195: Error: junk at end of line: `@local'
make[2]: *** [arch/powerpc/kernel/vdso32/gettimeofday.o] Error 1
make[2]: *** Waiting for unfinished jobs....
arch/powerpc/kernel/vdso32/datapage.S: Assembler messages:
arch/powerpc/kernel/vdso32/datapage.S:57: Error: syntax error; found `@', expected `,'
arch/powerpc/kernel/vdso32/datapage.S:57: Error: junk at end of line: `@local'
arch/powerpc/kernel/vdso32/datapage.S:78: Error: syntax error; found `@', expected `,'
arch/powerpc/kernel/vdso32/datapage.S:78: Error: junk at end of line: `@local'
make[2]: *** [arch/powerpc/kernel/vdso32/datapage.o] Error 1
make[1]: *** [arch/powerpc/kernel/vdso32] Error 2
make: *** [arch/powerpc/kernel] Error 2
make: *** Waiting for unfinished jobs....

The same solution as in bug 1205236, namely adding --enable-targets=powerpcle-linux to --disable-multilib when configuring gcc is being tested.

Comment 4 errata-xmlrpc 2015-11-19 12:22:51 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2015-2080.html


Note You need to log in before you can comment on or make changes to this bug.